/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer
 *  Copyright (C) 2023 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include "data.h"


#define OSM_BUFFER_MAX 5

extern osm_layer_t osm_buffer[OSM_BUFFER_MAX];

#define OSM_PASTEBUFFER (&osm_buffer[conf_core.editor.buffer_number % OSM_BUFFER_MAX])

void osm_buffer_copy_selected(osm_layer_t *src, osm_layer_t *buff, rnd_coord_t dx, rnd_coord_t dy);
void osm_buffer_paste(osm_layer_t *dst, osm_layer_t *buff, rnd_coord_t dx, rnd_coord_t dy);
void osm_buffer_xor_draw(osm_layer_t *dst, osm_layer_t *buff, rnd_coord_t dx, rnd_coord_t dy, rnd_hid_gc_t gc);

void osm_buffer_clear(osm_layer_t *buff);

