/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer
 *  Copyright (C) 2023 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include <librnd/config.h>
#include "event.h"

static const char *osm_evnames[] = {
	"osmev_layers_changed",
	"osmev_layervis_changed",
	"osmev_layer_selected",
	"osmev_style_determine",
	"osmev_undo_post",
	"osmev_list_imagery_used",
	"osmev_selection changed",
	"osmev_drc_object",
	"osmev_drc_present"
};

void osm_event_init_app(void)
{
	rnd_event_app_reg(OSM_EVENT_last, osm_evnames, sizeof(osm_evnames));
}
