#ifndef GENHT_OSM_HTDR_H
#define GENHT_OSM_HTDR_H

/* Hash table for applying diffresults */

#include "config.h"
#include "osm_typedefs.h"

typedef struct htdr_key_s {
	osm_objtype_t type;
	osm_id_t old_id;
} htdr_key_t;

typedef struct htdr_value_s {
	unsigned valid:1;
	osm_id_t new_id;          /* 0 if deleted */
	osm_id_t new_version;
} htdr_value_t;

extern htdr_value_t htdr_inv_val;

#define HT(x) htdr_ ## x
#define HT_INVALID_VALUE htdr_inv_val
#include <genht/ht.h>
#undef HT

unsigned htdr_keyhash(htdr_key_t a);
int htdr_keyeq(htdr_key_t a, htdr_key_t b);

#endif
