/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer
 *  Copyright (C) 2023,2024 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include "obj_any.h"

#ifndef OSM_OBJ_CHANGESET_H
#define OSM_OBJ_CHANGESET_H

#include "tags.h"


typedef struct osm_changeset_data_s {
	osm_latlon_t min_lon, min_lat, max_lon, max_lat;
	osm_tags_t tags;
} osm_changeset_data_t;

struct osm_changeset_s {
	osm_hdr_t hdr;
	osm_changeset_data_t *curr;
	osm_changeset_data_t orig;

	/* cached from curr */
	rnd_coord_t min_x, min_y; /* screen coords - updated when bbox is calculated from curr */
	rnd_coord_t max_x, max_y;
};

void osm_changeset_init(osm_changeset_t *changeset);
osm_changeset_t *osm_changeset_new(void);

#endif
