/*
 *                            COPYRIGHT
 *
 *  osm-rnd - OpenStreetMap editor/viewer
 *  Copyright (C) 2023 Tibor 'Igor2' Palinkas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/osm-rnd
 *    lead developer: http://repo.hu/projects/osm-rnd/contact.html
 *    mailing list: (not yet)
 */

#include "config.h"
#include "relmember.h"
#include "data.h"

osm_any_obj_t *osm_relmember_get_obj(osm_layer_t *ly, const osm_relmember_t *rm)
{
	if ((rm->type == OSM_OBJ_invalid) || (rm->type >= OSM_OBJ_max))
		return NULL;
	return htIp_get(&ly->id2obj[rm->type], rm->ref);
}

void osm_relmember_free_fields(osm_relmember_t *rm)
{
	free(rm->role);
	rm->role = NULL;
	rm->type = OSM_OBJ_invalid;
	rm->ref = 0;
}
